%define oname   shotgun

Name:       ruby-%{oname}
Version:    0.8
Release:    %mkrel 1
Summary:    Reloading rack development server
License:    MIT
Group:      Development/Ruby
URL:        http://rtomayko.github.com/shotgun/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rack)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
reloading rack development server

%files
%defattr(-, root, root, -)
%{_bindir}/shotgun
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 12 2011 shikamaru <shikamaru> 0.8-1.mga1
+ Revision: 51053
- imported package ruby-shotgun


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.8-1
- Initial package
